# !/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.6

$LastChangedRevision: 4482 $
$LastChangedDate:: 2021-06-15 11:04:42 +0200#$

This file is part of SyMSpace.

Copyright (c) 2021, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

if __name__ == '__main__':
    """
    This script is used in componentspace.help.component_help
    """
    import argparse
    import sphinx.cmd.build

    parser = argparse.ArgumentParser(description='Run the sphinx build in an external process')
    parser.add_argument('source_dir', help='')
    parser.add_argument('output_dir', help='')
    parser.add_argument('log_file', help='')

    args = parser.parse_args()

    source_dir = args.source_dir
    output_dir = args.output_dir
    log_file = args.log_file
    build_options = [source_dir, output_dir, '-b', 'html']

    '''create logfile'''
    build_options.extend(['-w', log_file])

    '''run in nit-picky mode,'''
    build_options.extend(['-n'])

    sphinx.cmd.build.build_main(build_options)


